/**********
* Radio Addressing
* Adam Shapiro - ams348
* 4/11/08
**********/
#ifndef RADIO_ADDR_H
#define RADIO_ADDR_H

#define RADIO_ADDR_NULL 0x00
#define RADIO_ADDR_BROADCAST 0xFF

#define RADIO_ADDR_TYPE_BOARD   0b00001000
#define RADIO_ADDR_TYPE_CONTROL 0b00000100
#define RADIO_ADDR_A            0b00000010
#define RADIO_ADDR_B            0b00000001

#define RADIO_ADDR_CONTROL_A (RADIO_ADDR_TYPE_CONTROL|RADIO_ADDR_A)
#define RADIO_ADDR_CONTROL_B (RADIO_ADDR_TYPE_CONTROL|RADIO_ADDR_B)
#define RADIO_ADDR_BOARD     RADIO_ADDR_TYPE_BOARD

#ifndef RADIO_DEV_ADDR
#define RADIO_DEV_ADDR RADIO_ADDR_NULL
#endif

#if RADIO_DEV_ADDR==RADIO_ADDR_CONTROL_A
#define RADIO_ADDR_OPPONENT RADIO_ADDR_CONTROL_B
#elif RADIO_DEV_ADDR==RADIO_ADDR_CONTROL_B
#define RADIO_ADDR_OPPONENT RADIO_ADDR_CONTROL_A
#else
#define RADIO_ADDR_OPPONENT RADIO_ADDR_NULL
#endif

#endif
